## maim 3.3.41

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.8 )

project( "maim" )
set( maim_VERSION_MAJOR 3 )
set( maim_VERSION_MINOR 3 )
set( maim_VERSION_PATCH 41 )

set( BIN_TARGET     "${PROJECT_NAME}" )

if ( NOT CMAKE_INSTALL_PREFIX )
    set( CMAKE_INSTALL_PREFIX "/usr" )
endif()

set( CMAKE_INSTALL_MANDIR "${CMAKE_INSTALL_PREFIX}/share/man" CACHE PATH "Directory where man pages reside. (/usr/share/man, /usr/local/share/man, etc.)" )

set( CMAKE_COMPRESS_MAN TRUE CACHE BOOL "Whether or not to compress the man pages for install." )

if ( CMAKE_COMPRESS_MAN )
    set( MANTARGET "man-src/maim.1.gz" )
else()
    set( MANTARGET "man-src/maim.1" )
endif()

if( NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE )
   set( CMAKE_BUILD_TYPE RelWithDebInfo )
endif()

# Linux compiler initialization.
if ( "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR
     "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR
     "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel" )
    set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-unused-parameter" )
    set( CMAKE_CXX_FLAGS_DEBUG "-Wextra -pedantic-errors -O0 -g" )
    set( CMAKE_CXX_FLAGS_RELEASE "-O2" )
    set( CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O2 -g" )
         # -Wall:   Enable all warnings.
         # -Wextra: Enable some more warnings.
         # -Werror: Have errors on warnings.
         # -pedantic-errors: Even more errors.
         # -Wno-unused-parameter: Don't error on unused parameters, required since we have function hooks
         #                        that have unused parameters.
         # -O#: Optimization level
else()
    message( FATAL_ERROR "Your operating system isn't supported yet! CMake will now exit." )
endif()

# Add a check target for our makefile.
find_program( CPPCHECK_EXECUTABLE cppcheck
              DOC "A tool for static C/C++ code analysis." )
if ( CPPCHECK_EXECUTABLE )
    add_custom_target( "check"
                       COMMAND "${CPPCHECK_EXECUTABLE}" "--enable=all" "*"
                       WORKING_DIRECTORY src VERBATIM )
endif()

# Add our manpage generator if possible. Not needed as we include the man pages by default.
find_program( RONN_EXECUTABLE ronn
              DOC "A tool for generating our manpages." )
find_program( GZIP_EXECUTABLE gzip
              DOC "A tool for generating our manpages." )
if ( RONN_EXECUTABLE AND GZIP_EXECUTABLE )
    add_custom_target( "man"
                       COMMAND "${RONN_EXECUTABLE}" "-r" "maim.1.ronn"
                       COMMAND "${GZIP_EXECUTABLE}" "-k" "maim.1"
                       WORKING_DIRECTORY man-src VERBATIM )
endif()

# Here we generate some of our code if we can. I package it pre-generated
# so nobody has to go find and install gengetopt if they don't want to.
find_program( GENGETOPT_EXECUTABLE gengetopt
              DOC "A tool to generate code to grab command line options." )
if ( GENGETOPT_EXECUTABLE )
    message( "-- Regenerating cmdline.in" )
    execute_process( COMMAND "${GENGETOPT_EXECUTABLE}" "--input=options.ggo"
                     WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/src" )
    file( RENAME "${CMAKE_SOURCE_DIR}/src/cmdline.h" "${CMAKE_SOURCE_DIR}/src/cmdline.in" )
else()
    message( "Warning: Command gengetopt not found! Won't regenerate command line code. (If you're just compiling this doesn't matter.)" )
endif()

# By default our src/options.ggo has our cmake versions variables for
# the 'version ""' line. We replace them here.
# The ${CMAKE_SOURCE_DIR} is there to fix problems with OpenBSD's out-of-source build black magic.
configure_file( "src/cmdline.in" "${CMAKE_SOURCE_DIR}/src/cmdline.h" )

# This allows for "make README.md" to be ran to update the README's help
# section automatically. We don't add it to ALL because running arbitrary
# scripts is unsafe and I don't know if systems will actually have it
# be executbable.
add_custom_target( README.md "./generateReadme.sh" DEPENDS "maim" )

# Sources
set( source
     src/cmdline.c
     src/im.cpp
     src/x.cpp
     src/main.cpp )

# Obtain library paths and make sure they exist.
set( CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_SOURCE_DIR}/cmakemodules" )
find_package( Imlib2    REQUIRED )
find_package( X11       REQUIRED )
find_package( XRandr    REQUIRED )
find_package( XFixes    REQUIRED )

set( CMAKE_CXX_FLAGS
     "${CMAKE_CXX_FLAGS} ${CMAKE_IMLIB2_CXX_FLAGS}" )

# Includes
include_directories( "${IMLIB2_INCLUDE_DIR}"
                     "${XRANDR_INCLUDE_DIR}"
                     "${X11_INCLUDE_DIR}"
                     "${XFIXES_INCLUDE_DIR}" )

# Executable
add_executable( "${BIN_TARGET}" ${source} )

# Libraries
target_link_libraries( "${BIN_TARGET}"
                       ${IMLIB2_LIBRARIES}
                       ${X11_LIBRARIES}
                       "${XRANDR_LIBRARY}"
                       "${XFIXES_LIBRARY}" )

install( TARGETS "${BIN_TARGET}"
         DESTINATION  "${CMAKE_INSTALL_PREFIX}/bin" )

install( FILES "${CMAKE_SOURCE_DIR}/${MANTARGET}"
         DESTINATION  "${CMAKE_INSTALL_MANDIR}/man1"
         COMPONENT doc )

=== debian/changelog ===
maim (3.3.41-1) unstable; urgency=low

  * Initial release (Closes: #819330)

 -- Patrick O'Doherty <p@trickod.com>  Sun, 13 Mar 2016 21:06:37 -0700

=== debian/control ===
Source: maim
Section: x11
Priority: optional
Maintainer: Patrick O'Doherty <p@trickod.com>
Build-Depends: debhelper (>= 9), cmake, ruby-ronn, libimlib2-dev, libxrandr-dev, libxfixes-dev
Standards-Version: 3.9.6
Homepage: https://github.com/naelstrof/maim
Vcs-Git: https://github.com/naelstrof/maim.git

Package: maim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: takes screenshts of your desktop
 maim (make image) takes screenshots of your desktop. It has options to take
 only a region, and relies on slop to query for regions. maim is supposed to be
 an improved scrot.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build --
	ronn -r man-src/maim.1.ronn

override_dh_auto_clean:
	dh_auto_clean --
	rm -rf src/cmdline.h Makefile CMakeCache.txt CMakeFiles cmake_install.cmake

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## maim 5.4.64

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 3.1.3 )

project( "maim" )

set(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build (Debug or Release)")

if ( NOT CMAKE_INSTALL_PREFIX )
    set(CMAKE_INSTALL_PREFIX "/usr")
endif()

set( CMAKE_INSTALL_MANDIR "${CMAKE_INSTALL_PREFIX}/share/man" CACHE PATH "Directory where man pages reside. (/usr/share/man, /usr/local/share/man, etc.)" )

set( CMAKE_COMPRESS_MAN TRUE CACHE BOOL "Whether or not to compress the man pages for install." )

if ( CMAKE_COMPRESS_MAN )
    set( MANTARGET "maim.1.gz" )
else()
    set( MANTARGET "maim.1" )
endif()

add_definitions(-DMAIM_VERSION="v5.4.64")

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_SOURCE_DIR}/bin/")

# Sources
set( source
     src/x.cpp
     src/image.cpp
     src/main.cpp )

set( BIN_TARGET     "${PROJECT_NAME}" )

# Executable
add_executable( "${BIN_TARGET}" ${source} )

# Obtain library paths and make sure they exist.
set( CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_SOURCE_DIR}/modules" )
find_package( PNG       REQUIRED )
find_package( JPEG      REQUIRED )
find_package( XRandr    REQUIRED )
find_package( XFixes    REQUIRED )
find_package( X11       REQUIRED )
find_package( SLOP      REQUIRED )
find_package( Threads   REQUIRED )

set_property(TARGET ${BIN_TARGET} PROPERTY CXX_STANDARD_REQUIRED ON)
set_property(TARGET ${BIN_TARGET} PROPERTY CXX_STANDARD 11)

# Includes
include_directories( ${XRANDR_INCLUDE_DIR}
                     ${X11_INCLUDE_DIR}
                     ${SLOP_INCLUDE_DIR}
                     ${XFIXES_INCLUDE_DIR}
                     ${JPEG_INCLUDE_DIR}
                     ${XRANDR_INCLUDE_DIR}
                     ${PNG_INCLUDE_DIRS} )

# Libraries
target_link_libraries( ${BIN_TARGET}
                       ${CMAKE_THREAD_LIBS_INIT}
                       ${X11_LIBRARIES}
                       ${PNG_LIBRARIES}
                       ${XFIXES_LIBRARY}
                       ${XRANDR_LIBRARY}
                       ${JPEG_LIBRARIES}
                       ${SLOP_LIBRARIES} )

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g")

install( TARGETS ${BIN_TARGET} DESTINATION "${CMAKE_INSTALL_PREFIX}/bin" )
install( FILES "${CMAKE_SOURCE_DIR}/${MANTARGET}" DESTINATION  "${CMAKE_INSTALL_MANDIR}/man1" COMPONENT doc )

=== debian/changelog ===
maim (5.4.64-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #869627), includes:
    * fixing manpage path and build
    * add missing dependencies (glm, xomposite, mesa, etc)
  * Add slop to dependencies as it is required for building now (Closes:
    #851593)
  * Improve description (Closes: #819533)
  * Remove dh-make template in debian/README.source
  * Update to standards 4.0.0, no change

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 29 Jul 2017 10:45:07 -0400

## maim 5.4.68

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
     set( MANTARGET "maim.1" )
 endif()
 
-add_definitions(-DMAIM_VERSION="v5.4.64")
+add_definitions(-DMAIM_VERSION="v5.4.68")
 
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_SOURCE_DIR}/bin/")
 
@@ -35,13 +35,15 @@
 
 # Obtain library paths and make sure they exist.
 set( CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_SOURCE_DIR}/modules" )
-find_package( PNG       REQUIRED )
-find_package( JPEG      REQUIRED )
-find_package( XRandr    REQUIRED )
-find_package( XFixes    REQUIRED )
-find_package( X11       REQUIRED )
-find_package( SLOP      REQUIRED )
-find_package( Threads   REQUIRED )
+find_package( PNG        REQUIRED )
+find_package( JPEG       REQUIRED )
+find_package( XRandr     REQUIRED )
+find_package( XRender    REQUIRED )
+find_package( XFixes     REQUIRED )
+find_package( XComposite REQUIRED )
+find_package( X11        REQUIRED )
+find_package( SLOP       REQUIRED )
+find_package( Threads    REQUIRED )
 
 set_property(TARGET ${BIN_TARGET} PROPERTY CXX_STANDARD_REQUIRED ON)
 set_property(TARGET ${BIN_TARGET} PROPERTY CXX_STANDARD 11)
@@ -51,8 +53,10 @@
                      ${X11_INCLUDE_DIR}
                      ${SLOP_INCLUDE_DIR}
                      ${XFIXES_INCLUDE_DIR}
+                     ${XCOMPOSITE_INCLUDE_DIR}
                      ${JPEG_INCLUDE_DIR}
                      ${XRANDR_INCLUDE_DIR}
+                     ${XRENDER_INCLUDE_DIR}
                      ${PNG_INCLUDE_DIRS} )
 
 # Libraries
@@ -61,9 +65,24 @@
                        ${X11_LIBRARIES}
                        ${PNG_LIBRARIES}
                        ${XFIXES_LIBRARY}
+                       ${XCOMPOSITE_LIBRARY}
                        ${XRANDR_LIBRARY}
                        ${JPEG_LIBRARIES}
+                       ${XRENDER_LIBRARY}
                        ${SLOP_LIBRARIES} )
+
+if( CMAKE<3.7 )
+  message( WARNING "CMake version is below 3.7, CMake version >= 3.7 is required for unicode support." )
+else()
+  find_package(ICU COMPONENTS uc)
+  set( MAIM_UNICODE TRUE CACHE BOOL "To enable or disable unicode support." )
+  if ( MAIM_UNICODE AND ICU_FOUND )
+      # ICU is required for old nvidia drivers to work for whatever reason.
+      add_definitions(-DCXXOPTS_USE_UNICODE)
+      include_directories( ${ICU_INCLUDE_DIR} )
+      target_link_libraries( ${BIN_TARGET} ${ICU_UC_LIBRARIES} )
+  endif()
+endif()
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g")

=== debian/changelog ===
maim (5.4.68-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 23 Aug 2017 16:14:51 -0400

=== debian/control ===
Source: maim
Section: x11
Priority: optional
Maintainer: Patrick O'Doherty <p@trickod.com>
Build-Depends: debhelper (>= 9)
             , cmake
             , ruby-ronn
             , libimlib2-dev
             , libxrandr-dev
             , libxfixes-dev
             , mesa-common-dev
             , libgl1-mesa-dev
             , libglm-dev
             , libxcomposite-dev
             , slop
Standards-Version: 4.0.0
Homepage: https://github.com/naelstrof/maim
Vcs-Git: https://github.com/naelstrof/maim.git

Package: maim
Architecture: any
Depends: ${shlibs:Depends}
       , ${misc:Depends}
       , slop
Description: takes screenshots of your desktop
 maim (make image) takes screenshots of your desktop. It has options
 to take only a region, and relies on another program called slop to
 query the user for regions using the graphical interface.
 .
 maim is command line tool that is supposed to be an improved scrot.

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,6 @@
 %:
 	dh $@ 
 
-override_dh_auto_build:
-	dh_auto_build --
-	ronn -r man-src/maim.1.ronn
-
 override_dh_auto_clean:
 	dh_auto_clean --
 	rm -rf src/cmdline.h Makefile CMakeCache.txt CMakeFiles cmake_install.cmake

## maim 5.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,24 +1,18 @@
 cmake_minimum_required( VERSION 3.1.3 )
 
-project( "maim" )
+project(maim VERSION 5.5 LANGUAGES CXX)
 
-set(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build (Debug or Release)")
-
-if ( NOT CMAKE_INSTALL_PREFIX )
-    set(CMAKE_INSTALL_PREFIX "/usr")
+if(NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE "Debug")
 endif()
 
-set( CMAKE_INSTALL_MANDIR "${CMAKE_INSTALL_PREFIX}/share/man" CACHE PATH "Directory where man pages reside. (/usr/share/man, /usr/local/share/man, etc.)" )
-
-set( CMAKE_COMPRESS_MAN TRUE CACHE BOOL "Whether or not to compress the man pages for install." )
-
-if ( CMAKE_COMPRESS_MAN )
-    set( MANTARGET "maim.1.gz" )
-else()
-    set( MANTARGET "maim.1" )
+if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+    set(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
 endif()
 
-add_definitions(-DMAIM_VERSION="v5.4.68")
+include(GNUInstallDirs)
+
+add_definitions(-DMAIM_VERSION="v${PROJECT_VERSION}")
 
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_SOURCE_DIR}/bin/")
 
@@ -47,6 +41,7 @@
 
 set_property(TARGET ${BIN_TARGET} PROPERTY CXX_STANDARD_REQUIRED ON)
 set_property(TARGET ${BIN_TARGET} PROPERTY CXX_STANDARD 11)
+set_property(TARGET ${BIN_TARGET} PROPERTY CXX_EXTENSIONS OFF)
 
 # Includes
 include_directories( ${XRANDR_INCLUDE_DIR}
@@ -71,7 +66,7 @@
                        ${XRENDER_LIBRARY}
                        ${SLOP_LIBRARIES} )
 
-if( CMAKE<3.7 )
+if( ${CMAKE_VERSION} VERSION_LESS 3.7 )
   message( WARNING "CMake version is below 3.7, CMake version >= 3.7 is required for unicode support." )
 else()
   find_package(ICU COMPONENTS uc)
@@ -84,7 +79,5 @@
   endif()
 endif()
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g")
-
-install( TARGETS ${BIN_TARGET} DESTINATION "${CMAKE_INSTALL_PREFIX}/bin" )
-install( FILES "${CMAKE_SOURCE_DIR}/${MANTARGET}" DESTINATION  "${CMAKE_INSTALL_MANDIR}/man1" COMPONENT doc )
+install( TARGETS ${BIN_TARGET} DESTINATION "${CMAKE_INSTALL_BINDIR}" )
+install( FILES "${CMAKE_SOURCE_DIR}/maim.1" DESTINATION  "${CMAKE_INSTALL_MANDIR}/man1" COMPONENT doc )

=== debian/changelog ===
maim (5.5.2-1) unstable; urgency=medium

  * New upstream version 5.5.2 (Closes: #879238)
  * add myself to uploaders, after discussion with maintainer (Closes: #870082)
  * remove unused Build-Depends: ruby-ronn (Closes: #903095)
  * fix Vcs-* URLs (Closes: #879237)
  * update standards version, no change

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 27 Aug 2018 16:53:34 -0400

## maim 5.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required( VERSION 3.1.3 )
 
-project(maim VERSION 5.5 LANGUAGES CXX)
+project(maim VERSION 5.5.3 LANGUAGES CXX)
 
 if(NOT CMAKE_BUILD_TYPE)
     set(CMAKE_BUILD_TYPE "Debug")

=== debian/changelog ===
maim (5.5.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:44 +0100

maim (5.5.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/rules: Remove trailing whitespaces

  [ Antoine Beaupré ]
  * New upstream version 5.5.3

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 15 Oct 2019 20:24:11 -0400

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean --

## maim 5.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required( VERSION 3.1.3 )
 
-project(maim VERSION 5.5.3 LANGUAGES CXX)
+project(maim VERSION 5.6.3 LANGUAGES CXX)
 
 if(NOT CMAKE_BUILD_TYPE)
     set(CMAKE_BUILD_TYPE "Debug")

=== debian/changelog ===
maim (5.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 10 May 2020 23:30:59 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: x11
 Priority: optional
 Maintainer: Patrick O'Doherty <p@trickod.com>
+Uploaders: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper (>= 9)
              , cmake
-             , ruby-ronn
              , libimlib2-dev
              , libxrandr-dev
              , libxfixes-dev
@@ -13,9 +13,10 @@
              , libglm-dev
              , libxcomposite-dev
              , slop
-Standards-Version: 4.0.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/naelstrof/maim
-Vcs-Git: https://github.com/naelstrof/maim.git
+Vcs-Git: https://salsa.debian.org/debian/maim.git
+Vcs-Browser: https://salsa.debian.org/debian/maim
 
 Package: maim
 Architecture: any

## maim 5.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required( VERSION 3.1.3 )
 
-project(maim VERSION 5.6.3 LANGUAGES CXX)
+project(maim VERSION 5.7.4 LANGUAGES CXX)
 
 if(NOT CMAKE_BUILD_TYPE)
     set(CMAKE_BUILD_TYPE "Debug")
@@ -31,6 +31,7 @@
 set( CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_SOURCE_DIR}/modules" )
 find_package( PNG        REQUIRED )
 find_package( JPEG       REQUIRED )
+find_package( WebP       REQUIRED )
 find_package( XRandr     REQUIRED )
 find_package( XRender    REQUIRED )
 find_package( XFixes     REQUIRED )
@@ -38,6 +39,7 @@
 find_package( X11        REQUIRED )
 find_package( SLOP       REQUIRED )
 find_package( Threads    REQUIRED )
+find_package( GLM        REQUIRED )
 
 set_property(TARGET ${BIN_TARGET} PROPERTY CXX_STANDARD_REQUIRED ON)
 set_property(TARGET ${BIN_TARGET} PROPERTY CXX_STANDARD 11)
@@ -47,12 +49,14 @@
 include_directories( ${XRANDR_INCLUDE_DIR}
                      ${X11_INCLUDE_DIR}
                      ${SLOP_INCLUDE_DIR}
+                     ${GLM_INCLUDE_DIR}
                      ${XFIXES_INCLUDE_DIR}
                      ${XCOMPOSITE_INCLUDE_DIR}
                      ${JPEG_INCLUDE_DIR}
                      ${XRANDR_INCLUDE_DIR}
                      ${XRENDER_INCLUDE_DIR}
-                     ${PNG_INCLUDE_DIRS} )
+                     ${PNG_INCLUDE_DIRS}
+                     ${WEBP_INCLUDE_DIR} )
 
 # Libraries
 target_link_libraries( ${BIN_TARGET}
@@ -64,7 +68,8 @@
                        ${XRANDR_LIBRARY}
                        ${JPEG_LIBRARIES}
                        ${XRENDER_LIBRARY}
-                       ${SLOP_LIBRARIES} )
+                       ${SLOP_LIBRARIES}
+                       ${WEBP_LIBRARY} )
 
 if( ${CMAKE_VERSION} VERSION_LESS 3.7 )
   message( WARNING "CMake version is below 3.7, CMake version >= 3.7 is required for unicode support." )

=== debian/changelog ===
maim (5.7.4-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:50:51 +1100

maim (5.7.4-2build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:19:49 +0000

maim (5.7.4-2) unstable; urgency=medium

  * version the dependency to slop (Closes: #960420)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 01 Jun 2022 15:22:03 -0400

maim (5.7.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Antoine Beaupré ]
  * new upstream release (Closes: #994890)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 31 Mar 2022 12:18:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: maim
 Section: x11
 Priority: optional
-Maintainer: Patrick O'Doherty <p@trickod.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Patrick O'Doherty <p@trickod.com>
 Uploaders: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 13)
              , cmake
              , libimlib2-dev
              , libxrandr-dev
@@ -12,7 +13,8 @@
              , libgl1-mesa-dev
              , libglm-dev
              , libxcomposite-dev
-             , slop
+             , libslopy7.6
+             , libslopy-dev
 Standards-Version: 4.2.1
 Homepage: https://github.com/naelstrof/maim
 Vcs-Git: https://salsa.debian.org/debian/maim.git
@@ -22,7 +24,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}
        , ${misc:Depends}
-       , slop
+       , libslopy7.6
 Description: takes screenshots of your desktop
  maim (make image) takes screenshots of your desktop. It has options
  to take only a region, and relies on another program called slop to

## maim 5.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,6 @@
 cmake_minimum_required( VERSION 3.1.3 )
 
-project(maim VERSION 5.7.4 LANGUAGES CXX)
-
-if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE "Debug")
-endif()
+project(maim VERSION 5.8.0 LANGUAGES CXX)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     set(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== debian/changelog ===
maim (5.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113264)
  * Stop hardcoding libslopy7.6 dependencies. (Closes: #1117564)

 -- Adrian Bunk <bunk@debian.org>  Mon, 20 Oct 2025 10:38:26 +0300

maim (5.8.0-1) unstable; urgency=medium

  * new upstream release
  * fix FTBFS with ICU 75.1+, thanks gcs (Closes: #1099837)
  * fix deprecated mesa depend

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 28 Mar 2025 13:23:51 -0400

=== debian/control ===
Source: maim
Section: x11
Priority: optional
Maintainer: Patrick O'Doherty <p@trickod.com>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 13)
             , cmake
             , libimlib2-dev
             , libxrandr-dev
             , libxfixes-dev
             , mesa-common-dev
             , libgl-dev
             , libglm-dev
             , libxcomposite-dev
             , libslopy-dev
Standards-Version: 4.2.1
Homepage: https://github.com/naelstrof/maim
Vcs-Git: https://salsa.debian.org/debian/maim.git
Vcs-Browser: https://salsa.debian.org/debian/maim

Package: maim
Architecture: any
Depends: ${shlibs:Depends}
       , ${misc:Depends}
Description: takes screenshots of your desktop
 maim (make image) takes screenshots of your desktop. It has options
 to take only a region, and relies on another program called slop to
 query the user for regions using the graphical interface.
 .
 maim is command line tool that is supposed to be an improved scrot.

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,3 @@
 #override_dh_auto_configure:
 #	dh_auto_configure -- \
 #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
-
-
-
-

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/maim-$1\.tar\.gz/ \
  https://github.com/naelstrof/maim/tags .*/v?(\d\S*)\.tar\.gz
